import numpy as np
from sklearn import linear_model


# De entrada tenemos el conjunto de puntos
# P = { (xi, yi) }
P = np.array( [ [1, 1], [2,2], [3,3], [4,4], [5,5] ] )
n, m = P.shape
# print( P.shape )

# Modelo:
#   y = a2 x^2 + a1 x + a0

X = np.zeros( (n,2) ) 
X[:,0] = P[:,0] * P[:,0]     # x*x
X[:,1] = P[:,0]              # x
print( X )

print( "X:", X.shape )
y = P[ :,1 ]
print( "y:", y.shape )

# Lo
reg = linear_model.LinearRegression( )
reg.fit( X, y ) 

print( reg.coef_ )
print( reg.intercept_ )

r2 = reg.score( X, y ) 
print( "R2:", r2 )

