import numpy as np
import matplotlib.pyplot as plt

n = 12
vx = np.linspace( 0, 10, n )
k = 2.0*np.pi/10.0
vy = np.sin( k*vx )

np.random.seed( 40 )
vy2 = vy + 0.5*(np.random.rand( n ) - 0.5)
print( vy2 )

fig, ex = plt.subplots( )
ex.scatter( vx, vy )
ex.scatter( vx, vy2 )
plt.show( ) 
